/**
 * BeanPot Bean Container Project.
 * Copyright (C) 2009  Rubecula Software, LLC.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Module: BeanPotException.java
 * Created on Mar 10, 2009
 * @version $Revision: 1.1 $
 */

package com.rubecula.beanpot;

/**
 * @author Robin Hillyard
 * 
 */
public class BeanPotException extends Exception {

	/**
	 * @param message
	 */
	public BeanPotException(final String message) {
		super(message);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public BeanPotException(final String message, final Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param cause
	 */
	public BeanPotException(final Throwable cause) {
		super(cause);
	}

	/**
	 * 
	 */
	BeanPotException() {
		// no such constructor
	}

	/**
	 * 
	 */
	private static final long serialVersionUID = 8418163743547075309L;

}
