/**
 * BeanPot Bean Container Project.
 * Copyright (C) 2009  Rubecula Software, LLC.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Module: Closeable.java
 * Created on Jan 21, 2011
 * @version $Revision: 1.1 $
 */

package com.rubecula.beanpot;

/**
 * @author Robin Hillyard
 * 
 */
public interface Closeable {

	/**
	 * Called when this Closeable object is about to be terminated.
	 * 
	 * @throws BeanPotException
	 */
	public abstract void close() throws BeanPotException;

}
